### Method

# Clapper Queue get_item

#### Declaration [src]

    ClapperMediaItem*
    clapper_queue_get_item (
      ClapperQueue* queue,
      guint index
    )

#### Description [src]

Get the `ClapperMediaItem` at index.

This behaves the same as `g_list_model_get_item()`, and is here for code uniformity and convenience to avoid type casting by user.

This function is not available in bindings as they already inherit `get_item()` method from `GListModel` interface.

This method is not directly available to language bindings.

#### Parameters

`index`

  Type: `guint`

  An item index.

#### Return value

Type: `ClapperMediaItem`

The `ClapperMediaItem` at `index`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.